Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 707172

Summary: www-apache/mod_nss-1.0.12-r1 : fails to build with -fno-common or gcc-10
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it <maintainer-needed>
Status: RESOLVED FIXED    
Severity: normal CC: sam, Thomas.Doczkal
Priority: Normal Keywords: PullRequest
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://github.com/gentoo/gentoo/pull/19286
Whiteboard: ~arch only
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 705764    
Attachments: emerge-info.txt
emerge-history.txt
environment
etc.portage.tbz2
logs.tbz2
temp.tbz2
www-apache:mod_nss-1.0.12-r1:20200129-025746.log

Description Toralf Förster gentoo-dev 2020-01-29 17:53:18 UTC
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I/usr/include/apache2 -I/usr/include/nspr -I/usr/include/nss -I/usr/include/nspr -I/usr/include/apr-1 -O2 -pipe -march=native -fno-common -DNSS_ENABLE_ECC -DLINUX -D_REENTRANT -D_GNU_SOURCE -c nss_engine_cipher.c  -fPIC -DPIC -o .libs/nss_engine_cipher.o
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I/usr/include/apache2 -I/usr/include/nspr -I/usr/include/nss -I/usr/include/nspr -I/usr/include/apr-1 -O2 -pipe -march=native -fno-common -DNSS_ENABLE_ECC -DLINUX -D_REENTRANT -D_GNU_SOURCE -c nss_engine_cipher.c -o nss_engine_cipher.o >/dev/null 2>&1
/bin/sh ./libtool  --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common -module -avoid-version -Wl,-O1 -Wl,--as-needed -o libmodnss.la -rpath /usr/lib64 mod_nss.lo nss_engine_config.lo nss_engine_init.lo nss_engine_io.lo nss_engine_kernel.lo nss_engine_log.lo nss_engine_pphrase.lo nss_engine_vars.lo nss_expr.lo nss_expr_eval.lo nss_expr_parse.lo nss_expr_scan.lo nss_util.lo nss_engine_rand.lo nss_engine_cipher.lo  -lssl3 -lsmime3 -lnss3 -lplc4 -lplds4 -lnspr4
libtool: link: x86_64-pc-linux-gnu-gcc -shared  -fPIC -DPIC  .libs/mod_nss.o .libs/nss_engine_config.o .libs/nss_engine_init.o .libs/nss_engine_io.o .libs/nss_engine_kernel.o .libs/nss_engine_log.o .libs/nss_engine_pphrase.o .libs/nss_engine_vars.o .libs/nss_expr.o .libs/nss_expr_eval.o .libs/nss_expr_parse.o .libs/nss_expr_scan.o .libs/nss_util.o .libs/nss_engine_rand.o .libs/nss_engine_cipher.o   -Wl,--as-needed -lssl3 -lsmime3 -lnss3 -lplc4 -lplds4 -lnspr4  -O2 -march=native -Wl,-O1   -Wl,-soname -Wl,libmodnss.so -o .libs/libmodnss.so
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/nss_engine_config.o:(.bss+0x0): multiple definition of `ht'; .libs/mod_nss.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/nss_engine_config.o:(.bss+0x8): multiple definition of `mp'; .libs/mod_nss.o:(.bss+0x8): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop-libressl-20200125-232521

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 29 Jan 2020 00:26:22 +0000

emerge -qpvO www-apache/mod_nss
[ebuild  N    ] www-apache/mod_nss-1.0.12-r1  USE="ecc"
Comment 1 Toralf Förster gentoo-dev 2020-01-29 17:53:21 UTC
Created attachment 607672 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-29 17:53:24 UTC
Created attachment 607674 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-29 17:53:26 UTC
Created attachment 607676 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-29 17:53:29 UTC
Created attachment 607678 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-29 17:53:32 UTC
Created attachment 607680 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-29 17:53:35 UTC
Created attachment 607682 [details]
temp.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-01-29 17:53:38 UTC
Created attachment 607684 [details]
www-apache:mod_nss-1.0.12-r1:20200129-025746.log
Comment 8 Sam James archtester gentoo-dev Security 2020-10-31 05:35:38 UTC
Bump to 1.0.18 may help?
Comment 9 Larry the Git Cow gentoo-dev 2021-02-09 16:59:40 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ac92215090531622c65e6ac10f961dc780156e7

commit 4ac92215090531622c65e6ac10f961dc780156e7
Author:     Jakov Smolic <jakov.smolic@sartura.hr>
AuthorDate: 2021-02-01 12:22:55 +0000
Commit:     Ben Kohler <bkohler@gentoo.org>
CommitDate: 2021-02-09 16:59:26 +0000

    www-apache/mod_nss: Bump to 1.0.18
    
    Closes: https://bugs.gentoo.org/707172
    Closes: https://bugs.gentoo.org/742455
    
    Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr>
    Signed-off-by: Ben Kohler <bkohler@gentoo.org>

 www-apache/mod_nss/Manifest                        |  1 +
 .../mod_nss/files/mod_nss-1.0.18-fno-common.patch  | 14 +++++
 www-apache/mod_nss/mod_nss-1.0.18.ebuild           | 64 ++++++++++++++++++++++
 3 files changed, 79 insertions(+)